## ros-indigo-pr2-gazebo 2.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gazebo)

find_package(catkin REQUIRED)

catkin_package(
  DEPENDS 
    gazebo 
    SDF
)

# Install Gazebo Scripts
install(
  PROGRAMS
    scripts/pr2_fingertip_pressure_contact_translator.py
    scripts/pr2_simulate_torso_spring.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install Gazebo launch files
install(
  DIRECTORY
    config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(
  DIRECTORY
    launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

# Install some gazebo test models
install(
  DIRECTORY
    urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

=== debian/changelog ===
ros-indigo-pr2-gazebo (2.0.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- John Hsu <hsu@osrfoundation.org>  Mon, 14 Dec 2015 16:27:24 -0000

ros-indigo-pr2-gazebo (2.0.5-0trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Fri, 13 Mar 2015 04:00:00 -0000

ros-indigo-pr2-gazebo (2.0.4-0trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Wed, 11 Feb 2015 05:00:00 -0000

ros-indigo-pr2-gazebo (2.0.3-0trusty) trusty; urgency=high

  * Changelogs
  * Changelogs
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash
  * Changelogs
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash

 -- John Hsu <hsu@osrfoundation.org>  Tue, 07 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-gazebo
Section: misc
Priority: extra
Maintainer: John Hsu <hsu@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-catkin, ros-indigo-gazebo-plugins, ros-indigo-pr2-gazebo-plugins
Homepage: http://ros.org/wiki/pr2_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-pr2-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-diagnostic-aggregator, ros-indigo-fingertip-pressure, ros-indigo-gazebo-plugins, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-joint-trajectory-action, ros-indigo-pr2-controller-configuration-gazebo, ros-indigo-pr2-dashboard-aggregator, ros-indigo-pr2-description, ros-indigo-pr2-gazebo-plugins, ros-indigo-pr2-gripper-action, ros-indigo-pr2-head-action, ros-indigo-pr2-mechanism-controllers, ros-indigo-pr2-msgs, ros-indigo-robot-mechanism-controllers, ros-indigo-robot-pose-ekf, ros-indigo-rospy, ros-indigo-single-joint-position-action, ros-indigo-std-msgs, ros-indigo-stereo-image-proc, ros-indigo-tf2-ros, ros-indigo-topic-tools, ros-indigo-xacro
Description: Launch scripts for simulating the PR2 in gazebo. The simulation equivalent of pr2.launch is found here. pr2_fingertip_pressure_contact_translator produces the same ROS topics as fingertip_pressure package for simulated PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
